package Indicators::AMA;

use strict;
use Language;
use vars qw($code);

$code = q{ 
my ($c, $sum) = (1, 0);
my $nbre = shift || 30;
for($c = 1 ; $c <= $nbre ; $c++) {
 $sum += $data{$date[$ind]}[3];
 $ind--;
}
return ($sum / $nbre);
};

## Indicateur global invisible

Indicators::register_indic(
  'AMA-#',
  'code' => \$code,
  'description' => gettext("Moving average (") . '%1 ' . gettext("days)"),
  'explication' => gettext("This is the average of the last") . ' %1 ' . 
                   gettext("days") . ".",
  'representation' => 'courbe_1_standard',
  'range' => [ '-%1 + 1', 0 ],
  'color' => 'red',
  'param' => [ '%1' ],
  'visible' => 0         
                          ); 

Indicators::register_indic(
  'AMA-20',
  'code' => \$code,
  'description' => gettext("Moving average (") . '20 ' . gettext("days)"),
  'explication' => gettext("This is the average of the last") . ' 20 ' . 
                   gettext("days") . ".",
  'representation' => 'courbe_1_standard',
  'range' => [-19, 0],
  'color' => 'blue',
  'param' => [ 20 ],
  'visible' => 1
                          );

Indicators::register_indic(
  'AMA-50',
  'code' => \$code,
  'description' => gettext("Moving average (") . '50 ' . gettext("days)"),
  'explication' => gettext("This is the average of the last") . ' 50 ' . 
                   gettext("days") . ".",
  'representation' => 'courbe_1_standard',
  'range' => [-49, 0],
  'color' => 'green',
  'param' => [ 50 ],
  'visible' => 1 
                          );

Indicators::register_indic(
  'AMA-100',
  'code' => \$code,
  'description' => gettext("Moving average (") . '100 ' . gettext("days)"),
  'explication' => gettext("This is the average of the last") . ' 100 ' . 
                   gettext("days") . ".",
  'representation' => 'courbe_1_standard',
  'range' => [-99, 0],
  'color' => 'white',
  'param' => [ 100 ],
  'visible' => 1
                          );

Indicators::register_indic(
  'AMA-200',
  'code' => \$code,
  'description' => gettext("Moving average (") . '200 ' . gettext("days)"),
  'explication' => gettext("This is the average of the last") . ' 200 ' . 
                   gettext("days") . ".",
  'representation' => 'courbe_1_standard',
  'range' => [-199, 0],
  'color' => 'orange',
  'param' => [ 200 ],
  'visible' => 1
                          );

1;
