package Indicators::BOL;

use strict;
use Language; 
use vars qw($code);

$code = q#
  my ($P1, $P2) = @_;
  my $sum = 0;

  my $ma = $calc->get("AMA-$P1", $date[$ind]);
  for ($c = 1 ; $c <= $P1 ; $c++) {
     $sum += (($data{$date[$ind]}[3] - $ma)**2);
     $ind--;
  }
  my $sd = (sqrt($sum)/$P1);
  return [ $ma + $P2 * $sd, $ma, $ma - $P2 * $sd ];

#;

Indicators::register_indic(
  'BOL-#-#',                    
  'code' => \$code,
  'description' => gettext("Bollinger Bands"), 
  'explication' => "", 
  'representation' => 'multi-courbe_1_auto',
  'range' => ['-%1', 0],
  'color' => 'white,white,white',
  'param' => ['%1', '%2'],
  'visible' => 0
                          );


1;
