package Indicators::MOMP;

use strict;
use Language;
use vars qw($code);

$code = q#
 my $p = shift || 13;
 return ($data{$date[$ind]}[3] / $data{$date[$ind-$p]}[3] * 100);
#;

## Indicateur global invisible

Indicators::register_indic(
  'MOMP-#',
  'code' => \$code,
  'description' => gettext("Momentum Peaks (") . '%1 ' . gettext("days)"), 
  'explication' =>
  gettext("Momentum measures the amount a security's price has changed over the past P-periods. Momentum is virtually identical to price Rate Of Change (see ROC-C), except Momentum is expressed as a ratio and Price Rate of Change is expressed as a percentage of Change."),
  'representation' => 'courbe_2_auto',
  'range' => ['-%1+1', 0],
  'color' => 'white',
  'param' => [ '%1' ],
  'visible' => 0
                          );

## Indicateur exemple visible

Indicators::register_indic(
  'MOMP-13',
  'code' => \$code,
  'description' => gettext("Momentum Peaks (") . '13 ' . gettext("days)"), 
  'explication' =>
  gettext("Momentum measures the amount a security's price has changed over the past P-periods. Momentum is virtually identical to price Rate Of Change (see ROC-C), except Momentum is expressed as a ratio and Price Rate of Change is expressed as a percentage of Change."),
  'representation' => 'courbe_2_auto',
  'range' => [-13, 0],
  'color' => 'white',
  'param' => [ 13 ],
  'visible' => 1 
                          );


1;
