package Indicators::ROCC;

use strict;
use Language;
use vars qw($code);

$code = q#
 my $p = shift || 13;
 return ((($data{$date[$ind]}[3]) - ($data{$date[$ind-$p]}[3]))
         /($data{$date[$ind-$p]}[3]) * 100);
#;

## Indicateur global invisible

Indicators::register_indic(
  'ROCC-#',
  'code' => \$code,
  'description' => gettext("Rate of Change Crossover (") . '%1 ' . gettext("days)"), 
  'explication' => 
  gettext("Price Rate of Change measures essentially the same phenomenon as Momentum (see MOM-P), but expresses the relative price movement as a percentage. Most short-term rallies will move about 6%, which is the level typically use to generate signals for Rate of Change."),
  'representation' => 'histogramme_2_auto',
  'range' => ['-%1', 0],
  'color' => 'orange',
  'param' => [ '%1' ],
  'visible' => 0,
  'order' => -1
                          );

## Indicateur exemple visible

Indicators::register_indic(
  'ROCC-13',
  'code' => \$code,
  'description' => gettext("Rate of Change Crossover (") . '13 ' . gettext("days)"), 
  'explication' => 
  gettext("Price Rate of Change measures essentially the same phenomenon as Momentum (see MOM-P), but expresses the relative price movement as a percentage. Most short-term rallies will move about 6%, which is the level typically use to generate signals for Rate of Change."),
  'representation' => 'histogramme_2_auto',
  'range' => [-13, 0],
  'color' => 'orange',
  'param' => [ 13 ],
  'visible' => 1,
  'order' => -1
                          );
1;
