package Indicators::TMA;

use strict;
use Language;
use vars qw($code);

$code = q#
my ($c, $sum, $val) = (1, 0, 0);
my $nbre = int((((shift || 12) + 1) / 2)+0.99);
for ($c = 1; $c <= $nbre; $c++) {
  $sum += $calc->get("AMA-$nbre", $date[$ind]);
  $ind--;
}
return ($sum / $nbre);
#;

Indicators::register_indic(
  'TMA-#',
  'code' => \$code,
  'description' => gettext("Tringular moving average (") . '%1 ' . gettext("days)"),
  'explication' => gettext("Triangular moving average place the majority of the weight on the middle portion of the price series") . '.',
  'representation' => 'courbe_1_standard',
  'range' => ['-%1', 0],
  'color' => 'white',
  'param' => [ '%1' ],
  'visible' => 0
                          );

Indicators::register_indic(
  'TMA-12',
  'code' => \$code,
  'description' => gettext("Tringular moving average (") . '12 ' . gettext("days)"),
  'explication' => gettext("Triangular moving average place the majority of the weight on the middle portion of the price series") . '.',
  'representation' => 'courbe_1_standard',
  'range' => [-12, 0],
  'color' => 'white',
  'param' => [ 12 ],
  'visible' => 1
                          );

1;
