package Indicators::VOLUME;

use strict;
use Language;
use vars qw($code);

$code = q# 
return $data{$date[$ind]}[4];
#;

#                 'fr' => 'C\'est simplement le nombre d\'actions changes ' .
#                         'durant une priode dtermine (ex: heure, jour, ' .
#      	                 'semaine, mois, ...). L\'analyse des volumes est' .
#                         'maintenant un lment de base trs important de ' .
#                         'l\'analyse techique. Les volumes donnent un ' .
#                         'indice concernant l\'intensit d\'un mouvement.');

Indicators::register_indic(
  'VOLUME',
  'code' => \$code,
  'description' => gettext("Volumes"),
  'explication' => gettext("This is simply the number of shares traded during a specified time frame (e.g., hour, day, week, month, ...). The analysis of volume is a basic (yet very important) element of trading analysis. Volume provides clues as to the intensity of a given price move."),
  'representation' => 'histogramme_3_standard',
  'range' => [0, 0],
  'color' => 'red',
  'param' => [    ],
  'visible' => 1,
  'nocache' => 1,
  'order' => -1
                          );

1;
