package Indicators::BOL;

use strict;
use Conf;
use vars qw($code %description %explication);

$code = q#
  my ($P1, $P2) = @_;
  my $sum = 0;

  my $ma = $calc->get("mm-$P1", $date[$ind]);
  for ($c = 1 ; $c <= $P1 ; $c++) {
     $sum += (($data{$date[$ind]}[3] - $ma)**2);
     $ind--;
  }
  my $sd = (sqrt($sum)/$P1);
  return [ $ma + $P2 * $sd, $ma, $ma - $P2 * $sd ];

#;

%description = ( 'en' => 'Bollinger Bands',
                 'fr' => 'Bandes de Bollinger' );
%explication = ( 'en' => '',
                 'fr' => '' );



Indicators::register_indic(
  'BOL-#-#',                    
  'code' => \$code,
  'description' => $description{$Conf{'indic_lang'}} || $description{'en'},
  'explication' => $explication{$Conf{'indic_lang'}} || $explication{'en'},
  'representation' => 'multi-courbe_1_standard',
  'range' => ['-%1', 0],
  'color' => 'white,white,white',
  'param' => ['%1', '%2'],
  'visible' => 0
                          );


1;
