package Indicators::EMA;

use strict;
use vars qw($code);

$code = q#
my ($c, $sum) = (1, 0);
my $nbre = shift || 21;
my $AMA = $calc->get("mm-$nbre", $date[$ind-1]);
my $fac = 2/($nbre + 1);
return ($fac * $data{$date[$ind]}[3]) + ($AMA * (1 - $fac));
#;

Indicators::register_indic(
  'EMA-#',                       ## EMA  # jours
  'code' => \$code,
  'description' => 'Moyenne mobile exponentielle  %1 jours',
  'explication' => "An exponential (or exponentially weighted) moving average is
                    calculated by applying a percentage of today's closing price
                    to yesterday's moving average value. Exponential moving averages
                    place more weight on recent prices",
  'representation' => 'courbe_1_standard',
  'range' => ['-%1', 0],
  'color' => 'white',
  'visible' => 0,
  'param' => [ '%1' ]          ## Optionnal parameters
                               ## Default : EMA-21 c'est quivalent  l'EMA 9%
                          );

1;
