package Indicators::MV2C;

use strict;
use vars qw($code);

$code = q#
  my ($P1, $P2) = @_;
  my ($EMA1, $EMA2);

  $EMA1 = $calc->get("EMA-$P1", $date[$ind]);
  $EMA2 = $calc->get("EMA-$P2", $date[$ind]);

  return [$EMA1, $EMA2];
#;

Indicators::register_indic(
  'MV2C-#-#',                       ## MV2C  # jours
  'code' => \$code,
  'description' => 'Moving Average Crossover',
  'explication' => "Un ordre d'achat ou de vente peut tre donn lors des croisements
                    des diffrentes moyennes mobiles.",
  'representation' => 'multi-courbe_1_standard',
  'range' => ['-((%1 > %2) ? %1 : %2)', 0],
  'color' => 'red,yellow',
  'param' => ['%1', '%2']           ## Optionnal parameters
                                 ## Default : MV2C  50 et 200 jours
                          );

1;
