package Indicators::ROCC;

use strict;
use vars qw($code);


$code = q#
 my $p = shift || 13;
 return ((($data{$date[$ind]}[3]) - ($data{$date[$ind-$p]}[3]))
         /($data{$date[$ind-$p]}[3]) * 100);
#;

Indicators::register_indic(
  'ROCC-#',                       ## ROCC  # jours
  'code' => \$code,
  'description' => 'Rate of Change Crossover',
  'explication' => "Price Rate of Change measures essentially the same " .
                   "phenomenon as Momentum (see MOM-P), but expresses the " .
		   "relative price " .
                   "movement as a percentage. Most short-term rallies will " .
                   "move about 6%, which is the level typically used to " .
                   "generate signals for Rate of Change.",
  'representation' => 'histogramme_2_auto',
  'range' => ['-%1', 0],
  'color' => 'orange',
  'ordre' => -1,
  'param' => [ '%1' ]        ## Optionnal parameters
                             ## Default : ROCC  13 jours
                          );

1;
