package Indicators::TMA;

use strict;
use vars qw($code);

$code = q#
my ($c, $sum, $val, $nbre_r) = (1, 0, 0, 0);
my $nbre = int((((shift || 12) + 1) / 2)+0.99);
for ($c = 1; $c <= $nbre; $c++) {
  $sum += $calc->get("mm-$nbre", $date[$ind]);
  $ind--;
}
return ($sum / $nbre);
#;

Indicators::register_indic(
  'TMA-#',                       ## TMA  # jours
  'code' => \$code,
  'description' => 'Moyenne mobile triangulaire  %1 jours',
  'explication' => "L'arrondi  l'entier suprieur de (%1+1)/2 donne un entier"
  . " N. La moyenne mobile triangulaire  N jours est une moyenne mobile." .
    "  N jours de la moyenne mobile  N jours.",
  'representation' => 'courbe_1_standard',
  'range' => ['-%1', 0],
  'color' => 'white',
  'param' => [ '%1' ] 
                          );

1;
